package com.multictrl.modules.sys.service;

import com.multictrl.common.page.PageData;
import com.multictrl.common.service.BaseService;
import com.multictrl.modules.sys.dao.SysRoleDao;
import com.multictrl.modules.sys.dto.SysRoleDTO;
import com.multictrl.modules.sys.entity.SysRoleEntity;

import java.util.List;
import java.util.Map;

/**
 * 角色
 *
 * @author Sdy
 */
public interface SysRoleService extends BaseService<SysRoleEntity> {

    PageData<SysRoleDTO> page(Map<String, Object> params);

    List<SysRoleDTO> list(Map<String, Object> params);

    SysRoleDTO get(Long id);

    void save(SysRoleDTO dto);

    void update(SysRoleDTO dto);

    void delete(Long[] ids);

    SysRoleDao getDao();

}
